# downloader


## Introduction

downloader - a Python module for downloading files from the internet.

This project is **freefullware** oriented (see [below](#freefullware)).


## License

    The MIT License (MIT)

    Copyright (c) 2015 Raphaël SEBAN

    Permission is hereby granted, free of charge, to any person
    obtaining a copy of this software and associated documentation
    files (the "Software"), to deal in the Software without
    restriction, including without limitation the rights to use, copy,
    modify, merge, publish, distribute, sublicense, and/or sell copies
    of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be
    included in all copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
    NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
    BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
    ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
    CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    SOFTWARE.


## Freefullware

What is a freefullware?

A **freefullware** is a new kind of software:

* Free as in Freedom;
* Free of charge (gratis);
* Ad-free (no advertisement at all);
* Donate-free (no 'Donate' button at all);
* 100% virus-free;
* no counterpart at all;
* really absolutely free;

Just get it and enjoy.

That's all, folks!


## Development status

At this stage, the project is in:

    Development Status :: 5 - Production/Stable


## Documentation

Reading the code directly is quite an enriching experience. :+1:


## Quick installation

On a Linux shell console:

    python3 /usr/bin/pip3 install -U tarball69_downloader

On a MS-DOS(tm) console prompt:

    C:\Python3.4\Scripts\pip3.exe install -U tarball69_downloader

Browse to your own Python3's pip3.exe installation path and adapt
command if this one doesn't work as expected.


## Basic usage

On a Linux shell console:

    python3
    >>> import downloader
    >>> downloader.run_demo()
    >>> from downloader import easy_tool
    >>> easy_tool.run_tool()

On a MS-DOS(tm) console prompt:

    py -3
    >>> import downloader
    >>> downloader.run_demo()
    >>> from downloader import easy_tool
    >>> easy_tool.run_tool()

Have fun!
